1. hoopitz's Avatar
    Downloaded Blend, but I am getting the 'Restricted to RIM internal devices only' ... which is funny because they are no longer RIM ... but besides that, has anyone been able to get it to work with a leak 10.3 installed?
    09-24-14 11:52 AM
  2. khalidraffali's Avatar
    got same error message. gave up. probably need the official update or something.
    09-24-14 11:54 AM
  3. Guignards's Avatar
    Guys. It only works with passport right now.

    Apparently there is an 10.3 version that does work with it but it is in beta internally in BlackBerry.

    So.. it might be time to except that BlackBerry has let you down again.

    Posted via CB10
    09-24-14 12:05 PM
  4. Hello Blackberry World's Avatar
    I was able to download the software. When trying to link the device I have an issue where it's telling me there is an antivirus blocking the blend connection


    Posted via CB10
    09-24-14 12:14 PM
  5. igor10000's Avatar
    I agree. I realise they introduced Blend in connection with Passport, but really wanted to be able to use Blend tonight with my Z10.

    Posted via CB10
    09-24-14 12:15 PM
  6. Mustafa Bepari's Avatar
    I just tried 2 minutes ago, gave me the same error as we're on a leaked OS. Will just have to wait until the official 10.3 is released.
    09-27-14 07:21 PM
  7. scrannel's Avatar
    FWIW getting a slightly different error (or at least not the RIM error): "The version of your software isn't supported. Blackberry OS 10.3 or later is required". Not that it changes anything. Z10. But with Blend on my computer, my Z10 now sees all the computers on my network.
    Last edited by scrannel; 09-28-14 at 06:57 AM.
    09-28-14 06:14 AM
  8. yhamaie's Avatar
    Downloaded Blend, but I am getting the 'Restricted to RIM internal devices only' ... which is funny because they are no longer RIM ... but besides that, has anyone been able to get it to work with a leak 10.3 installed?
    BlackBerry Blend may have inherited some components from good old http://appworld.blackberry.com/webstore/content/19435 . . . no wonder RIM appears in that error message.

    Posted via CB10
    ConorRobinson likes this.
    09-28-14 07:17 AM
  9. lcgoldman's Avatar
    I get the same error in Blend (I'm on Z10, STL 100-3, 10.2.0.1130):

    "Restricted to RIM internal devices only"

    09-28-14 10:09 PM
  10. spARTacus's Avatar
    Interesting. I downloaded blend on my tab4. Wouldn't work with my z10 (I didn't expect it to as I don't have 10.3 yet - even thought my z10 is listed as an available device to pick from when I sign in with my blackberry id). However, on my z10 in the file manager, my tab4 now shows up as an available device for with Link, right below my main pc (the one running Link for my backups, etc...). It doesn't work either (doesn't give me access to my tab4), but interesting regardless, as maybe this will be part of the capabilities when 10.3 finally comes to the z10.


    Posted via CB App on Z10
    09-28-14 10:16 PM

Similar Threads

  1. Anyone changed their mind about buying the Passport now?
    By donnation in forum General BlackBerry Discussion
    Replies: 138
    Last Post: 09-29-14, 06:46 PM
  2. Replies: 4
    Last Post: 09-24-14, 05:05 PM
  3. Clove UK stated to get stock 29th Sept @ 499.99
    By Graham Ireland in forum BlackBerry Passport
    Replies: 1
    Last Post: 09-24-14, 11:50 AM
  4. Will the unlocked passport on blackberry website work with verizon?
    By tommynap01 in forum BlackBerry Passport
    Replies: 2
    Last Post: 09-24-14, 11:41 AM
  5. AT&T getting exclusive on BlackBerry Passport when it launches in the USA
    By CrackBerry News in forum CrackBerry.com News Discussion
    Replies: 0
    Last Post: 09-24-14, 11:12 AM
LINK TO POST COPIED TO CLIPBOARD